FUNCTION TEMPLA(3)

NAME
boost::mpi::skeleton - Create a skeleton proxy object.

SYNOPSIS

// In header: <boost/mpi/skeleton_and_content.hpp>
template<typename T> const skeleton_proxy< T > skeleton(T & x);

DESCRIPTION

This routine creates an instance of the skeleton_proxy class. It will typically be used when calling send, recv, or broadcast, to indicate that only the skeleton (structure) of an object should be transmitted and not its contents.

Parameters:

    x
        the object whose structure will be transmitted.

Returns:
    a skeleton_proxy object referencing x